Subject: Re: Contributing condition variables to Cygwin pthreads -- How do I start?
From: "Andreas Eibach" <[email-masked]>
To: "Egor Duda" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 15 Dec 2000 20:30:51 +0100

----- Original Message -----
From: "Egor Duda" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, December 13, 2000 3:34 PM
Subject: Re: Contributing condition variables to Cygwin pthreads -- How do I
start?

<snip>
> well,  i  need pthread_cancel and pthread_cond_* too, and intending to
> write  some  (prototype) code this week.

ME TOO! :)

Exactly this pthread_cond_* thing is the reason why pthread doesn't compile
in gtk+ currently!
(All 'make' error messages I get are related to *_cond_*).
You can build gtk+ without pthreads OOTB, but not with them, currently.

If you get _that_ working, you did a big step forward.
Best luck for your attempts,

Andreas

--
Want to unsubscribe from this list?
Send a message to [email-masked]